# ACE_XtReactorID Class Reference

This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices. More...

`#include <XtReactor.h>`

Collaboration diagram for ACE_XtReactorID:

[legend]
List of all members.

## Public Attributes

XtInputId | id_
| Magic cookie.
ACE_HANDLE | handle_
| Underlying handle.
ACE_XtReactorID * | next_
| Pointer to next node in the linked list.

## Detailed Description

This little class is necessary due to the way that Microsoft implements sockets to be pointers rather than indices.

## Member Data Documentation

ACE_HANDLE ACE_XtReactorID::handle_

| Underlying handle.

XtInputId ACE_XtReactorID::id_

| Magic cookie.

ACE_XtReactorID* ACE_XtReactorID::next_

| Pointer to next node in the linked list.

The documentation for this class was generated from the following file:

- XtReactor.h